Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class MkUrl

    java.lang.Object
      |
      +--com.jxml.qare.qhome.MkUrl

public class MkUrl
extends Object

This class reconstructs the URL used to make the request.

Field Summary
`boolean` | `parms`
`StringBuffer` | `sb`

Constructor Summary
`MkUrl(HttpServletRequest req)` Reconstructs the URL used by the client used to make the request.
`MkUrl(String url)` Constructs the URL

Method Summary
`void` | `add(String key, String value)` Appends to the URL "&" or "?".
`void` | `addTime()` Forces to refresh.
`static String` | `redirect(HttpServletRequest req, String fileInfo)` Returns the URL depending upon the path specified in file.
`static String` | `redirect(String url, String fileInfo)` Returns the URL
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sb

    public StringBuffer sb

### parms

    public boolean parms

Constructor Detail

### MkUrl

    public MkUrl(HttpServletRequest req)

  Reconstructs the URL used by the client used to make the request.

### MkUrl

    public MkUrl(String url)

  Constructs the URL

Method Detail

### redirect

    public static String redirect(HttpServletRequest req,
                                  String fileInfo)

  Returns the URL depending upon the path specified in file.

### redirect

    public static String redirect(String url,
                                  String fileInfo)

  Returns the URL
  Parameters:
    `url` -
    `fileInfo` - File from which the URL is fetched

### addTime

    public void addTime()

  Forces to refresh.

### add

    public void add(String key,
                    String value)

  Appends to the URL "&" or "?".
  Parameters:
    `key` - Name of tbe key.
    `value` - Respective value of the key.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD